Skip to main content
GET
List prompt runs

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

promptId
string
required

The unique identifier of the prompt for which to retrieve runs.

Query Parameters

after
string

The paging cursor token of the last successfully read resource will be returned as the paging.next.after JSON property of a paged response containing more results.

createdAfter
string

Filter runs created after the specified date.

createdAt
string

Filter runs by the exact creation date.

createdBefore
string

Filter runs created before the specified date.

limit
integer<int32>

The maximum number of results to display per page.

Response

successful operation

results
object[]
required

An array of public prompt run objects. Each object contains details about a specific prompt run.

paging
object
Last modified on June 29, 2026